(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     16663,        422]
NotebookOptionsPosition[     15920,        395]
NotebookOutlinePosition[     16399,        413]
CellTagsIndexPosition[     16356,        410]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"FindRoot", "::", "\"\<lstol\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "3"}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"vyr", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"0.1", 
     SuperscriptBox["x", "2"]}], "+", "x", "+", "10"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SeedRandom", "[", "1", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"rn", ":=", 
  RowBox[{"0.1", "*", 
   RowBox[{"RandomReal", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "1"}], ",", "1"}], "}"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{
        RowBox[{"vyr", "[", "x", "]"}], "+", "rn"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "10"}], ",", "1", ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl1", "=", 
   RowBox[{"ListPlot", "[", "data", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"err", "[", 
    RowBox[{"{", 
     RowBox[{"x_", ",", "y_"}], "}"}], "]"}], ":=", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"a", "*", 
       SuperscriptBox["x", "2"]}], "+", 
      RowBox[{"b", "*", "x"}], "+", "c", "-", "y"}], ")"}], "2"]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"errcelk", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"Plus", "@@", 
     RowBox[{"(", 
      RowBox[{"err", "/@", "data"}], ")"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"0", "\[Equal]", 
     RowBox[{"D", "[", 
      RowBox[{"errcelk", ",", "#"}], "]"}]}], "&"}], "/@", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Solve", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Fit", "[", 
  RowBox[{"data", ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "x", ",", 
     SuperscriptBox["x", "2"]}], "}"}], ",", "x"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{"%", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "10"}], ",", "1"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Red"}]}], "]"}], ",", "pl1"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.7511863841846933`*^9, 3.7511864838376684`*^9}, {
  3.751186522322936*^9, 3.751186559763002*^9}, {3.751186624752716*^9, 
  3.751186691427233*^9}, {3.7511867716581745`*^9, 3.7511868138094482`*^9}, {
  3.7511868768803587`*^9, 3.751186907097612*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", "0.09978030657583103`"}], ",", 
    RowBox[{"b", "\[Rule]", "0.9980524734927019`"}], ",", 
    RowBox[{"c", "\[Rule]", "9.991971670246715`"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.7511866438159494`*^9, 3.7511866529731655`*^9}, {
   3.7511866846724215`*^9, 3.7511866920200343`*^9}, 3.751186773436577*^9, 
   3.75118681482345*^9, {3.7511868791423626`*^9, 3.7511869076904135`*^9}}],

Cell[BoxData[
 RowBox[{"9.991971670246702`", "\[VeryThinSpace]", "+", 
  RowBox[{"0.9980524734926907`", " ", "x"}], "+", 
  RowBox[{"0.09978030657582998`", " ", 
   SuperscriptBox["x", "2"]}]}]], "Output",
 CellChangeTimes->{{3.7511866438159494`*^9, 3.7511866529731655`*^9}, {
   3.7511866846724215`*^9, 3.7511866920200343`*^9}, 3.751186773436577*^9, 
   3.75118681482345*^9, {3.7511868791423626`*^9, 3.7511869076904135`*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {RGBColor[1, 0, 0], LineBox[CompressedData["
1:eJwV13k4VO0bB3B7ZJ05Z8YojhnDhMoulWqeIqmE6rWkslQIlSVvaKFk6UXK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      "]]}}, {{}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJw11A1QVFUUAOCNvwUEdllYQGTfvvd2F4RERBetqHl3hyYymkBCagoKNX6C
DK0GmkpAomgjUCIwmBh+FEPJkSGL1rR3BhlQfgLCPwTNGRHBIBAUZRAoHvec
mZ2dN3vOd867e+/ldqZHJ1rJZLL0/z/L3yuhhy7f3nU5rJ50dy2HDsqKd378
RZ2OVJQvhw4MW3cdjrDoSJIUOqjrblh0iNCRTVLoYHPg9IujrI6seDroyJwe
ibnJU4+H/VlVQ0W3eOrxoPYx7l97iKceD+WdP93I+4ynHg/dVo9iNu3lqceD
7aL7cKMaPQ6SF/zubNajx8GPR8MLdg9y1ONAbiiOUB3mqMdB/u9vqlPPc9Tj
YL5M9M3+jqMeC/ua7h9M+5SjHgurmlMrDoSgx4Kp6ud/3R6y1GOBxFtP8H+y
1GOhYWJkl+MlltZr4V7i6qjSrzBfC/HP97uU7WOJ1K6LgfCcq6YHX7PUZyCq
LOm10VfQY8BV0y6eS0BPA33PlATI1ehpoNA+eiDRCz0fiOptl2XMaKnnA+be
SdKVraWeD3ilBD09X6Kl3hpozUxy+bZRS7010HNmd1vXHYZ63hBaJTv6vhV6
3jAatjCVZULPG67XqRY/zGWotxrG6mAuvYmh3mrYGxVfffgIel5Qr7pgKy9g
qOcFc/v8BrOPM9Tzgubax3tGaxgiceWecDAix5DBo+cJmirCu3ox9P/yAIeg
H7xP+qLnAd9UnD7WcUFDPQ+wc0tL6VejpwbPEx5jQSb01CAMkYJ3ujR0Pnfo
nQ8eDXNGzx0qofWFQWeczx3Srwp2/ZvRc4OqwIcHZneg5walE48rW86hpwKP
9X9c4p3QUwFfFHPmxjjOpwL/iTkb5ZCGeq6wJcdcsC4QPVfoDClTXAnA9VNC
dPWz233c0VPCxdKU2ME4nE8JGRZdzZGPGLJRqleAY3nlWG4e5rtAgsWvr+06
Q76X+jmDWHhsYVMP+k5wrvzyqVcr0HOC3/x3xG2z1lJvFQS3nfdeG4T7wREs
fI481lZLPQfwXwptWD+Bnj2YBv7ZEsLgfrEHRd7plvqz6Mkhc3AkzdyEnh3E
vDcwWevHUs8WhFJjU6ov7m8byH275fNJNZ4PG4ieLpvid7LUswa9MfmidR6e
JyuolWe3bjCj9wQ0zsqHL3+AngwsU0tD5r/Qk4F7dNMJ0w2WpEj1i+LWWrvZ
tB6WnJfyH4sNpSFnAxw4skHqNy/uNl4ZTFdy1J8TuV9CfJxfx/vlkfhyYViR
0ycc9WbF+UP97YFJHPXui/6ZWW3xd9GbEQujt1feHkfvnphgujbZfBO9KfE5
z47QNCVPeqX6cdFyraS+LoknB6X8MdE+OL9ZncKTBKnfiHigamPezCme+rfE
zifTFhR9eJ/eFGNjhksqbvMkR6ofEKeH7Xq+9NARVsrvF+8WZw21ROro7xfE
gL9Lg984js8WUfFU8tRIJd73MpkxUvHuHRs9kUkXgkUYnZ6pO67QE1ipFxIV
yUX5yXqyssH7hfC3tteYM/WkeqW/kGqUtQoP9Dif8FLY+LEwpYHm3xLiGk7m
XtxoIHtW3k/I/zVO0Z5noPVjgtkYHrk0bMD1EdQDKTGqeQOun1AZO1ddv82X
/Afsgu15
      "]]}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 7.5},
  Method->{},
  PlotRange->{{-10, 1}, {7.496217093736158, 11.089804181463311`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.7511866438159494`*^9, 3.7511866529731655`*^9}, {
   3.7511866846724215`*^9, 3.7511866920200343`*^9}, 3.751186773436577*^9, 
   3.75118681482345*^9, {3.7511868791423626`*^9, 3.751186907706013*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"vyr", "[", "x_", "]"}], ":=", 
   RowBox[{"10", "+", 
    RowBox[{"15", "*", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       FractionBox["x", "2"]}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SeedRandom", "[", "1", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"rn", ":=", 
  RowBox[{"0.5", "*", 
   RowBox[{"RandomReal", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "1"}], ",", "1"}], "}"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{
        RowBox[{"vyr", "[", "x", "]"}], "+", "rn"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "10", ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl1", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"data", ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"err", "[", 
    RowBox[{"{", 
     RowBox[{"x_", ",", "y_"}], "}"}], "]"}], ":=", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"a", "+", 
      RowBox[{"b", "*", 
       RowBox[{"Exp", "[", 
        RowBox[{"-", 
         FractionBox["x", "tau"]}], "]"}]}], "-", "y"}], ")"}], "2"]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"errcelk", "=", 
   RowBox[{"Plus", "@@", 
    RowBox[{"(", 
     RowBox[{"err", "/@", "data"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"FindMinimum", "[", 
  RowBox[{"errcelk", ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "20"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"tau", ",", "1"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vysledek", "=", 
   RowBox[{
    RowBox[{"a", "+", 
     RowBox[{"b", "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"-", 
        FractionBox["x", "tau"]}], "]"}]}]}], "/.", 
    RowBox[{"%", "[", 
     RowBox[{"[", "2", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Show", "[", 
   RowBox[{
    RowBox[{"Plot", "[", 
     RowBox[{"%", ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "0", ",", "10"}], "}"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", "Red"}]}], "]"}], ",", "pl1"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"FindFit", "[", 
  RowBox[{"data", ",", 
   RowBox[{"a", "+", 
    RowBox[{"b", "*", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       FractionBox["x", "tau"]}], "]"}]}]}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "tau"}], "}"}], ",", "x"}], "]"}]}], "Input",
 CellChangeTimes->{{3.751187020853012*^9, 3.751187295179494*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"7.053221055321744`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[Rule]", "9.944261954130019`"}], ",", 
     RowBox[{"b", "\[Rule]", "14.961815717874915`"}], ",", 
     RowBox[{"tau", "\[Rule]", "2.0198962894647337`"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.7511871476812344`*^9, 3.7511871846844997`*^9, {3.7511872183493586`*^9, 
   3.751187296115495*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"a", "\[Rule]", "9.944261954193866`"}], ",", 
   RowBox[{"b", "\[Rule]", "14.961815717944747`"}], ",", 
   RowBox[{"tau", "\[Rule]", "2.0198962894097563`"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7511871476812344`*^9, 3.7511871846844997`*^9, {3.7511872183493586`*^9, 
   3.7511872962402954`*^9}}]
}, Open  ]]
},
WindowSize->{1160, 792},
WindowMargins->{{12, Automatic}, {Automatic, 7}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
ShowSelection->True,
Magnification->2.4499998092651367`,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 455, 14, 208, "Input"],
Cell[CellGroupData[{
Cell[1025, 38, 2488, 77, 619, "Input"],
Cell[3516, 117, 475, 9, 102, "Output"],
Cell[3994, 128, 426, 7, 102, "Output"],
Cell[4423, 137, 7873, 137, 608, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12333, 279, 2786, 90, 778, "Input"],
Cell[15122, 371, 426, 11, 102, "Output"],
Cell[15551, 384, 353, 8, 102, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
