(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5616,        178]
NotebookOptionsPosition[      5145,        160]
NotebookOutlinePosition[      5625,        178]
CellTagsIndexPosition[      5582,        175]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"FindRoot", "::", "\"\<lstol\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "3"}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Lambda]isol", "=", "0.04"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Lambda]brick", "=", "0.8"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dBrics", "=", "0.3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"k", "=", "10000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x0", "=", "dBrics"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tleft", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tright", "=", 
   RowBox[{"-", "10"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dIsol", "=", "0.1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Lambda]", "=", 
   RowBox[{
    RowBox[{"a", "+", 
     RowBox[{"b", "*", 
      RowBox[{"Tanh", "[", 
       RowBox[{"k", "*", 
        RowBox[{"(", 
         RowBox[{"x", "-", "x0"}], ")"}]}], "]"}]}]}], "/.", 
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"a", "-", "b"}], "\[Equal]", "\[Lambda]brick"}], ",", 
        RowBox[{
         RowBox[{"a", "+", "b"}], "==", "\[Lambda]isol"}]}], "}"}], "]"}], 
     "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{"\[Lambda]", ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"xmax", "=", 
       RowBox[{"dIsol", "+", "dBrics"}]}]}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"\[Lambda]", "*", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"T", "[", "x", "]"}], ",", "x"}], "]"}]}], ",", "x"}], "]"}],
     "\[Equal]", "0"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"okrLeft", "=", 
   RowBox[{
    RowBox[{"T", "[", "0", "]"}], "\[Equal]", "Tleft"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sol", "[", "derT_", "]"}], ":=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"rce", ",", "okrLeft", ",", 
        RowBox[{
         RowBox[{
          RowBox[{"T", "'"}], "[", "0", "]"}], "\[Equal]", "derT"}]}], "}"}], 
      ",", "T", ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "0", ",", "xmax"}], "}"}], ",", 
      RowBox[{"MaxSteps", "\[Rule]", 
       SuperscriptBox["10", "6"]}], ",", 
      RowBox[{"MaxStepSize", "\[Rule]", 
       FractionBox["dIsol", "200"]}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"endValue", "[", 
    RowBox[{"derT_", "?", "NumericQ"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"T", "[", "xmax", "]"}], "/.", 
    RowBox[{"sol", "[", "derT", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dder", "=", 
   RowBox[{"der", "/.", 
    RowBox[{"FindRoot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"endValue", "[", "der", "]"}], "==", "Tright"}], ",", 
      RowBox[{"{", 
       RowBox[{"der", ",", 
        RowBox[{"-", "100"}]}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pom", "=", 
   RowBox[{"sol", "[", "dder", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"T", "[", "x", "]"}], "/.", "pom"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "xmax"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.7511954097561464`*^9, 3.751195448241414*^9}, {
  3.751196025692028*^9, 3.7511961199629936`*^9}, {3.7511961618178673`*^9, 
  3.7511961624418683`*^9}, {3.751196215622362*^9, 3.7511963095813265`*^9}, {
  3.751196617557068*^9, 3.7511966334690957`*^9}}],

Cell[BoxData[{
 RowBox[{"D", "[", 
  RowBox[{"\[Lambda]", ",", "x"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{"%", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "xmax"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.7511964984820585`*^9, 3.7511965193392954`*^9}}]
},
WindowSize->{1216, 850},
WindowMargins->{{22, Automatic}, {Automatic, 14}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
ShowSelection->True,
Magnification->2.3499999046325684`,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 455, 14, 228, "Input"],
Cell[1003, 36, 3733, 111, 1114, "Input"],
Cell[4739, 149, 402, 9, 185, "Input"]
}
]
*)

(* End of internal cache information *)
